Package org.opensaml.saml.saml1.core

# Interface Evidentiary

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `Assertion`, `AssertionIDReference`

All Known Implementing Classes:
  `AssertionIDReferenceImpl`, `AssertionImpl`

public interface Evidentiary extends SAMLObject
Marker interface for element types that can constitute evidence within a `Evidence` object.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`